Bug 988441 - Kernel-3.9.9-201.fc18 or greater panics upon loading cpufreq module with Nehalem-EP
Kernel-3.9.9-201.fc18 or greater panics upon loading cpufreq module with Neha...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-25 11:23 EDT by DHC
Modified: 2013-10-21 14:48 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-21 14:48:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description DHC 2013-07-25 11:23:57 EDT
Description of problem:
Fedora Kernel-3.9.9-301.fc19 or greater panics upon loading the cpufreq in a server or workstation with Nehalem-EP Processors.

Similar to Bug: http://bugzilla.redhat.com/show_bug.cgi?id=916833


Version-Release number of selected component (if applicable):
FC18 Kernel-3.9.9-301.fc19 or greater

How reproducible:
100%

Steps to Reproduce:
1. Load Server with Nehalem-EP B3 Processors with FC18.
2. Update to latest kernel
3. Kernel will panic at boot upon loading the cpufreq module

Actual results:
Welcome to Fedora 18 (Spherical Cow)!                                           
                                                                                
         Stopping Switch Root...                                               
         Expecting device dev-ttyS0.device...
[  OK  ] Listening on Syslog Socket.
[  OK  ] Reached target Remote File Systems.
         Starting Collect Read-Ahead Data...
         Starting Replay Read-Ahead Data...
[  OK  ] Listening on Delayed Shutdown Socket.
[  OK  ] Listening on /dev/initctl Compatibility Named Pipe.
[  OK  ] Listening on Device-mapper event daemon FIFOs.
         Mounting Debug File System...
         Mounting POSIX Message Queue File System...
         Mounting Huge Pages File System...
[  OK  ] Set up automount Arbitrary Executable File Formats F...utomount Point.
         Expecting device dev-disk-by\x2duuid-43ab18d4\x2d3b6...99f03.device...
[  OK  ] Listening on udev Kernel Socket.
[  OK  ] Listening on udev Control Socket.
         Starting udev Coldplug all Devices...
         Starting udev Kernel Device Manager...
         Mounting Temporary Directory...
[  OK  ] Started Collect Read-Ahead Data.
[  OK  ] Stopped Switch Root.
[  OK  ] Stopped target Switch Root.
[  OK  ] Reached target Encrypted Volumes.
[  OK  ] Stopped Trigger Flushing of Journal to Persistent Storage.
         Stopping Journal Service...
[  OK  ] Stopped Journal Service.
         Starting Journal Service...
[  OK  ] Started Journal Service.
[  OK  ] Started Replay Read-Ahead Data.
[  OK  ] Started udev Kernel Device Manager.
         Starting Load legacy module configuration...
         Starting Setup Virtual Console...
         Starting Load Kernel Modules...
         Starting Remount Root and Kernel File Systems...
         Starting Apply Kernel Variables...
[  OK  ] Mounted Temporary Directory.
[  OK  ] Mounted Debug File System.
[  OK  ] Mounted POSIX Message Queue File System.
[  OK  ] Mounted Huge Pages File System.
[  OK  ] Started udev Coldplug all Devices.
         Starting udev Wait for Complete Device Initialization...
[  OK  ] Started Remount Root and Kernel File Systems.
         Starting Configure read-only root support...
[  OK  ] Reached target Local File Systems (Pre).
         Starting Load Random Seed...
[  OK  ] Started Apply Kernel Variables.
[  OK  ] Started Load Random Seed.
[  OK  ] Found device /dev/ttyS0.
[  OK  ] Started Configure read-only root support.
[  OK  ] Started Setup Virtual Console.
         Starting Show Plymouth Boot Screen...
[  OK  ] Started Load Kernel Modules.
         Mounting Configuration File System...
[  OK  ] Mounted Configuration File System.
[  OK  ] Found device Logical_Volume.
         Activating swap /dev/disk/by-uuid/43ab18d4-3b65-4c96...675f00d99f03...
[  OK  ] Started Load legacy module configuration.
[  OK  ] Activated swap /dev/disk/by-uuid/43ab18d4-3b65-4c96-a279-675f00d99f03.
[  OK  ] Reached target Swap.
[   21.860333] BUG: unable to handle kernel NULL pointer dereference at 0000000000000030
[   21.865179] IP: [<ffffffff8150134a>] __cpufreq_governor+0x1a/0x130
[   21.878547] PGD 0 
[   21.879815] Oops: 0000 [#1] SMP 
[   21.881367] Modules linked in: acpi_cpufreq(+) e1000e(+) igb(+) mperf coretemp iTCO_wdt iTCO_vendor_support i2c_i801 kvm_intel lpc_ich mfd_core i7core_edac edac_core ioatdma dca kvm ptp pps_core microcode uinput i2c_algo_bit drm_kms_helper ttm crc32c_intel drm mpt2sas usb_storage i2c_core raid_class scsi_transport_sas
[   21.939067] CPU 0 
[   21.939704] Pid: 4, comm: kworker/0:0 Tainted: G          I  3.9.11-200.fc18.x86_64 #1 SUN MICROSYSTEMS SUN FIRE X4170 SERVER          /ASSY,MOTHERBOARD,X4170
[   21.959182] RIP: 0010:[<ffffffff8150134a>]  [<ffffffff8150134a>] __cpufreq_governor+0x1a/0x130
[   21.979219] RSP: 0018:ffff8804e5cadbd8  EFLAGS: 00010286
[   21.997453] RAX: 0000000000000000 RBX: ffff880963a44700 RCX: 0000000000000007
[   21.999497] RDX: ffffffff81cb1360 RSI: 0000000000000000 RDI: ffff880963a44700
[   22.018124] RBP: ffff8804e5cadbf8 R08: ffff880963a44710 R09: 0000000000000080
[   22.020367] R10: 0000000000000009 R11: 000000fffffffe00 R12: 0000000000000001
[   22.039463] R13: 0000000000000000 R14: ffffffff81cb1360 R15: ffff8804e53ae558
[   22.058102] FS:  0000000000000000(0000) GS:ffff8804edc00000(0000) knlGS:0000000000000000
[   22.061253] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[   22.079026] CR2: 0000000000000030 CR3: 0000000001c0c000 CR4: 00000000000007f0
[   22.097883] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[   22.100442] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[   22.118674] Process kworker/0:0 (pid: 4, threadinfo ffff8804e5cac000, task ffff8804e5ca16b0)
[   22.137942] Stack:
[   22.138901]  0000000000000000 ffff880400000000 ffff8804e5cadc40 ffff880963a44700
[   22.157657]  ffff8804e5cadc28 ffffffff815015d3 ffff880963a44700 0000000000000006
[   22.161349]  ffff8804e5cadc40 0000000000000000 ffff8804e5cadd48 ffffffff815027b1
[   22.179552] Call Trace:
[   22.180235]  [<ffffffff815015d3>] __cpufreq_set_policy+0x173/0x290
[   22.197832]  [<ffffffff815027b1>] cpufreq_update_policy+0xc1/0x160
[   22.199793]  [<ffffffff81502850>] ? cpufreq_update_policy+0x160/0x160
[   22.218434]  [<ffffffff8139152d>] acpi_processor_ppc_has_changed+0x62/0x6b
[   22.220670]  [<ffffffff8107acf6>] ? move_linked_works+0x66/0x90
[   22.238652]  [<ffffffff8138ddfe>] acpi_processor_notify+0x4e/0xda
[   22.257282]  [<ffffffff8136757d>] acpi_device_notify+0x19/0x1b
[   22.258930]  [<ffffffff81375c95>] acpi_ev_notify_dispatch+0x41/0x5c
[   22.277506]  [<ffffffff81363a4f>] acpi_os_execute_deferred+0x25/0x32
[   22.279530]  [<ffffffff8107b663>] process_one_work+0x173/0x3c0
[   22.298067]  [<ffffffff8107cf8f>] worker_thread+0x10f/0x390
[   22.299430]  [<ffffffff8107ce80>] ? busy_worker_rebind_fn+0xb0/0xb0
[   22.317948]  [<ffffffff81082b00>] kthread+0xc0/0xd0
[   22.319263]  [<ffffffff81010000>] ? ftrace_define_fields_xen_mc_flush+0x80/0xb0
[   22.338278]  [<ffffffff81082a40>] ? kthread_create_on_node+0x120/0x120
[   22.340498]  [<ffffffff81667eec>] ret_from_fork+0x7c/0xb0
[   22.358536]  [<ffffffff81082a40>] ? kthread_create_on_node+0x120/0x120
[   22.377788] Code: 81 48 89 e5 e8 e8 5d b8 ff 5d c3 0f 0b 0f 1f 40 00 66 66 66 66 90 55 48 89 e5 41 54 41 89 f4 53 48 89 fb 48 83 ec 10 48 8b 77 48 <8b> 46 30 85 c0 74 09 3b 47 34 0f 82 b0 00 00 00 48 8b 7e 48 e8 
[   22.406708] RIP  [<ffffffff8150134a>] __cpufreq_governor+0x1a/0x130
[   22.417904]  RSP <ffff8804e5cadbd8>
[   22.419256] CR2: 0000000000000030
[   22.420595] BUG: unable to handle kernel [   22.420733] ---[ end trace dbf67664388dce7c ]---
NULL pointer dereference at 0000000000000048
[   22.463065] IP: [<ffffffff81501391>] __cpufreq_governor+0x61/0x130
[   22.465149] PGD 0 
[   22.466117] Oops: 0000 [#2] SMP 
[   22.479423] Modules linked in: acpi_cpufreq(+) e1000e(+) igb(+) mperf coretemp iTCO_wdt iTCO_vendor_support i2c_i801 kvm_intel lpc_ich mfd_core i7core_edac edac_core ioatdma dca kvm ptp pps_core microcode uinput i2c_algo_bit drm_kms_helper ttm crc32c_intel drm mpt2sas usb_storage i2c_core raid_class scsi_transport_sas
[   22.520947] CPU 12 
[   22.521609] Pid: 422, comm: systemd-udevd Tainted: G      D   I  3.9.11-200.fc18.x86_64 #1 SUN MICROSYSTEMS SUN FIRE X4170 SERVER          /ASSY,MOTHERBOARD,X4170
[   22.559166] RIP: 0010:[<ffffffff81501391>]  [<ffffffff81501391>] __cpufreq_governor+0x61/0x130
[   22.561830] RSP: 0018:ffff880963155ab8  EFLAGS: 00010202
[   22.578278] RAX: 0000000000000000 RBX: ffff880963a44700 RCX: 0000000000000007
[   22.597433] RDX: 0000000000000000 RSI: 0000000000000080 RDI: ffff88097fc90bc8
[   22.599420] RBP: ffff880963155ad8 R08: ffff880963a44710 R09: 0000000000000080
[   22.617809] R10: 0000000000000000 R11: 0000000000000000 R12: 0000000000000003
[   22.620330] R13: 0000000000000000 R14: 0000000000000000 R15: 0000000000010aa0
[   22.639305] FS:  00007f8a3fc26840(0000) GS:ffff88097fd00000(0000) knlGS:0000000000000000
[   22.658098] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   22.659751] CR2: 0000000000000048 CR3: 0000000963149000 CR4: 00000000000007e0
[   22.678709] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[   22.697766] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[   22.699717] Process systemd-udevd (pid: 422, threadinfo ffff880963154000, task ffff8809647fa5d0)
[   22.719578] Stack:
[   22.720224]  0000000000000080 0000000000010aa0 ffff880963155b30 ffff880963a44700
[   22.739205]  ffff880963155b08 ffffffff8150162a ffff880963a44788 ffff880963a44700
[   22.757951]  0000000000000006 0000000000000080 ffff880963155c48 ffffffff815032e4
[   22.760516] Call Trace:
[   22.776981]  [<ffffffff8150162a>] __cpufreq_set_policy+0x1ca/0x290
[   22.778634]  [<ffffffff815032e4>] cpufreq_add_dev_interface+0x244/0x2d0
[   22.797307]  [<ffffffff81502850>] ? cpufreq_update_policy+0x160/0x160
[   22.799244]  [<ffffffff8150371b>] cpufreq_add_dev+0x3ab/0x520
[   22.817671]  [<ffffffff813f5aa9>] subsys_interface_register+0x89/0xd0
[   22.819315]  [<ffffffffa00e1000>] ? 0xffffffffa00e0fff
[   22.837953]  [<ffffffff81501d0d>] cpufreq_register_driver+0x9d/0x200
[   22.840169]  [<ffffffffa00e1000>] ? 0xffffffffa00e0fff
[   22.858135]  [<ffffffffa00e116d>] acpi_cpufreq_init+0x16d/0x1000 [acpi_cpufreq]
[   22.876901]  [<ffffffff8100215a>] do_one_initcall+0x12a/0x180
[   22.878820]  [<ffffffff810c2724>] load_module+0x1fb4/0x2810
[   22.896927]  [<ffffffff8131e6a0>] ? ddebug_proc_open+0xc0/0xc0
[   22.898610]  [<ffffffff810c3057>] sys_init_module+0xd7/0x120
[   22.917653]  [<ffffffff81667f99>] system_call_fastpath+0x16/0x1b
[   22.919852] Code: 49 f6 05 b4 ae 7d 00 04 0f 85 bf 00 00 00 48 8b 43 48 44 89 e6 48 89 df ff 50 18 41 83 fc 01 74 39 41 83 fc 02 74 73 48 8b 53 48 <48> 8b 7a 48 89 45 e8 e8 13 ce bb ff 8b 45 e8 85 c0 74 34 48 83 
[   22.961624] RIP  [<ffffffff81501391>] __cpufreq_governor+0x61/0x130
[   22.963902]  RSP <ffff880963155ab8>
[   22.977540] CR2: 0000000000000048
[   22.978515] BUG: unable to handle kernel [   22.978648] ---[ end trace dbf67664388dce7d ]---
[   22.981852] igb 0000:01:00.0: DCA enabled
[   22.981856] igb 0000:01:00.0: Intel(R) Gigabit Ethernet Network Connection
[   22.981857] igb 0000:01:00.0: eth0: (PCIe:2.5Gb/s:Width x2) 00:21:28:8e:99:e4
[   22.981939] igb 0000:01:00.0: eth0: PBA No: 2030FF-0FF
[   22.981940] igb 0000:01:00.0: Using MSI-X interrupts. 4 rx queue(s), 4 tx queue(s)
[   22.982248] igb 0000:01:00.1: irq 89 for MSI/MSI-X
[   22.982251] igb 0000:01:00.1: irq 90 for MSI/MSI-X
[   22.982255] igb 0000:01:00.1: irq 91 for MSI/MSI-X
[   22.982259] igb 0000:01:00.1: irq 92 for MSI/MSI-X
[   22.982262] igb 0000:01:00.1: irq 93 for MSI/MSI-X
[   22.982265] igb 0000:01:00.1: irq 94 for MSI/MSI-X
[   22.982269] igb 0000:01:00.1: irq 95 for MSI/MSI-X
[   22.982272] igb 0000:01:00.1: irq 96 for MSI/MSI-X
[   22.982275] igb 0000:01:00.1: irq 97 for MSI/MSI-X
paging request at ffffffffffffffd8
[   23.138478] IP: [<ffffffff81082ee0>] kthread_data+0x10/0x20
[   23.140494] PGD 1c0f067 PUD 1c11067 PMD 0 
[   23.157604] Oops: 0000 [#3] SMP 
[   23.159245] Modules linked in: acpi_cpufreq(+) e1000e(+) igb(+) mperf coretemp iTCO_wdt iTCO_vendor_support i2c_i801 kvm_intel lpc_ich mfd_core i7core_edac edac_core ioatdma dca kvm ptp pps_core microcode uinput i2c_algo_bit drm_kms_helper ttm crc32c_intel drm mpt2sas usb_storage i2c_core raid_class scsi_transport_sas
[   23.201528] CPU 0 
[   23.217510] Pid: 4, comm: kworker/0:0 Tainted: G      D   I  3.9.11-200.fc18.x86_64 #1 SUN MICROSYSTEMS SUN FIRE X4170 SERVER          /ASSY,MOTHERBOARD,X4170
[   23.238054] RIP: 0010:[<ffffffff81082ee0>]  [<ffffffff81082ee0>] kthread_data+0x10/0x20
[   23.257552] RSP: 0018:ffff8804e5cad7c8  EFLAGS: 00010096
[   23.258951] RAX: 0000000000000000 RBX: 0000000000000000 RCX: 000000000000000f
[   23.278006] RDX: 0000000000000000 RSI: 0000000000000000 RDI: ffff8804e5ca16b0
[   23.280267] RBP: ffff8804e5cad7c8 R08: ffff8804e5ca1720 R09: 0000000000000034
[   23.298521] R10: 0000000000000000 R11: 0000000000000000 R12: ffff8804edc14040
[   23.317781] R13: 0000000000000000 R14: ffff8804e5ca16a0 R15: ffff8804e5ca16b0
[   23.319738] FS:  0000000000000000(0000) GS:ffff8804edc00000(0000) knlGS:0000000000000000
[   23.338448] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[   23.356996] CR2: ffffffffffffffd8 CR3: 0000000001c0c000 CR4: 00000000000007f0
[   23.358689] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[   23.377917] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[   23.396602] Process kworker/0:0 (pid: 4, threadinfo ffff8804e5cac000, task ffff8804e5ca16b0)
[   23.399199] Stack:
[   23.416602]  ffff8804e5cad7e8 ffffffff8107e115 ffff8804e5cad7e8 ffff8804e5ca19c0
[   23.419747]  ffff8804e5cad858 ffffffff8165dd62 ffff8804e5ca16b0 ffff8804e5cadfd8
[   23.438203]  ffff8804e5cadfd8 ffff8804e5cadfd8 ffff8804e5ca16b0 ffff8804e5ca16b0
[   23.456572] Call Trace:
[   23.457554]  [<ffffffff8107e115>] wq_worker_sleeping+0x15/0x70
[   23.459207]  [<ffffffff8165dd62>] __schedule+0x492/0x790
[   23.477270]  [<ffffffff8165ea79>] schedule+0x29/0x70
[   23.479210]  [<ffffffff81064e7a>] do_exit+0x6ca/0xa30
[   23.496903]  [<ffffffff81660aa2>] oops_end+0xa2/0xf0
[   23.498569]  [<ffffffff81655282>] no_context+0x253/0x27e
[   23.516621]  [<ffffffff8165546d>] __bad_area_nosemaphore+0x1c0/0x1df
[   23.518631]  [<ffffffff81373d9f>] ? acpi_ds_result_pop+0xfb/0x113
[   23.536903]  [<ffffffff8165549f>] bad_area_nosemaphore+0x13/0x15
[   23.538576]  [<ffffffff816637b6>] __do_page_fault+0x3a6/0x4f0
[   23.557262]  [<ffffffff8106eb68>] ? lock_timer_base.isra.37+0x38/0x70
[   23.558958]  [<ffffffff8107d8dd>] ? flush_work+0x2d/0x150
[   23.577911]  [<ffffffff8107c691>] ? try_to_grab_pending+0xd1/0x160
[   23.579614]  [<ffffffff8107dae4>] ? __cancel_work_timer+0x74/0xb0
[   23.598618]  [<ffffffff8166390e>] do_page_fault+0xe/0x10
[   23.600009]  [<ffffffff8165fed8>] page_fault+0x28/0x30
[   23.617818]  [<ffffffff8150134a>] ? __cpufreq_governor+0x1a/0x130
[   23.619456]  [<ffffffff815013eb>] ? __cpufreq_governor+0xbb/0x130
[   23.637803]  [<ffffffff815015d3>] __cpufreq_set_policy+0x173/0x290
[   23.656481]  [<ffffffff815027b1>] cpufreq_update_policy+0xc1/0x160
[   23.658429]  [<ffffffff81502850>] ? cpufreq_update_policy+0x160/0x160
[   23.676790]  [<ffffffff8139152d>] acpi_processor_ppc_has_changed+0x62/0x6b
[   23.678744]  [<ffffffff8107acf6>] ? move_linked_works+0x66/0x90
[   23.697699]  [<ffffffff8138ddfe>] acpi_processor_notify+0x4e/0xda
[   23.699957]  [<ffffffff8136757d>] acpi_device_notify+0x19/0x1b
[   23.717759]  [<ffffffff81375c95>] acpi_ev_notify_dispatch+0x41/0x5c
[   23.736382]  [<ffffffff81363a4f>] acpi_os_execute_deferred+0x25/0x32
[   23.738642]  [<ffffffff8107b663>] process_one_work+0x173/0x3c0
[   23.756974]  [<ffffffff8107cf8f>] worker_thread+0x10f/0x390
[   23.758303]  [<ffffffff8107ce80>] ? busy_worker_rebind_fn+0xb0/0xb0
[   23.776711]  [<ffffffff81082b00>] kthread+0xc0/0xd0
[   23.778302]  [<ffffffff81010000>] ? ftrace_define_fields_xen_mc_flush+0x80/0xb0
[   23.797044]  [<ffffffff81082a40>] ? kthread_create_on_node+0x120/0x120
[   23.799303]  [<ffffffff81667eec>] ret_from_fork+0x7c/0xb0
[   23.817361]  [<ffffffff81082a40>] ? kthread_create_on_node+0x120/0x120
[   23.819291] Code: 00 48 89 e5 5d 48 8b 40 c8 48 c1 e8 02 83 e0 01 c3 66 2e 0f 1f 84 00 00 00 00 00 66 66 66 66 90 48 8b 87 b8 02 00 00 55 48 89 e5 <48> 8b 40 d8 5d c3 66 2e 0f 1f 84 00 00 00 00 00 66 66 66 66 90 
[   23.864956] RIP  [<ffffffff81082ee0>] kthread_data+0x10/0x20
[   23.877110]  RSP <ffff8804e5cad7c8>
[   23.878986] CR2: ffffffffffffffd8
[   23.879960] ---[ end trace dbf67664388dce7e ]---
[   23.896691] Fixing recursive fault but reboot is needed!
[   46.944370] ------------[ cut here ]------------
[   46.946004] WARNING: at kernel/watchdog.c:245 watchdog_overflow_callback+0x9c/0xd0()
[   46.962596] Hardware name: SUN FIRE X4170 SERVER          
[   46.963944] Watchdog detected hard LOCKUP on cpu 0
[   46.982731] Modules linked in: acpi_cpufreq(+) e1000e(+) igb(+) mperf coretemp iTCO_wdt iTCO_vendor_support i2c_i801 kvm_intel lpc_ich mfd_core i7core_edac edac_core ioatdma dca kvm ptp pps_core microcode uinput i2c_algo_bit drm_kms_helper ttm crc32c_intel drm mpt2sas usb_storage i2c_core raid_class scsi_transport_sas
[   47.025214] Pid: 4, comm: kworker/0:0 Tainted: G      D   I  3.9.11-200.fc18.x86_64 #1
[   47.043719] Call Trace:
[   47.044380]  <NMI>  [<ffffffff8105efc5>] warn_slowpath_common+0x75/0xa0
[   47.062853]  [<ffffffff8105f0a6>] warn_slowpath_fmt+0x46/0x50
[   47.064482]  [<ffffffff810ec270>] ? touch_nmi_watchdog+0x80/0x80
[   47.082737]  [<ffffffff810ec30c>] watchdog_overflow_callback+0x9c/0xd0
[   47.084396]  [<ffffffff81127f4d>] __perf_event_overflow+0x9d/0x230
[   47.103313]  [<ffffffff81024c87>] ? x86_perf_event_set_period+0xd7/0x160
[   47.105278]  [<ffffffff81128b64>] perf_event_overflow+0x14/0x20
[   47.123372]  [<ffffffff8102acce>] intel_pmu_handle_irq+0x1ae/0x370
[   47.142626]  [<ffffffff816614ad>] perf_event_nmi_handler+0x1d/0x20
[   47.144309]  [<ffffffff81660c39>] nmi_handle.isra.0+0x59/0x90
[   47.162520]  [<ffffffff81660d50>] do_nmi+0xe0/0x350
[   47.164130]  [<ffffffff81660241>] end_repeat_nmi+0x1e/0x2e
[   47.182306]  [<ffffffff8165ea79>] ? schedule+0x29/0x70
[   47.183972]  [<ffffffff8165f90d>] ? _raw_spin_lock_irq+0x2d/0x40
[   47.202283]  [<ffffffff8165f90d>] ? _raw_spin_lock_irq+0x2d/0x40
[   47.203942]  [<ffffffff8165f90d>] ? _raw_spin_lock_irq+0x2d/0x40
[   47.222814]  <<EOE>>  [<ffffffff8165d96a>] __schedule+0x9a/0x790
[   47.225033]  [<ffffffff8165ea79>] schedule+0x29/0x70
[   47.242624]  [<ffffffff81065152>] do_exit+0x9a2/0xa30
[   47.244229]  [<ffffffff81655995>] ? printk+0x61/0x63
[   47.262393]  [<ffffffff81660aa2>] oops_end+0xa2/0xf0
[   47.264564]  [<ffffffff81655282>] no_context+0x253/0x27e
[   47.266181]  [<ffffffff810c44d8>] ? __sprint_symbol+0xc8/0xf0
[   47.283753]  [<ffffffff8165546d>] __bad_area_nosemaphore+0x1c0/0x1df
[   47.302220]  [<ffffffff8165549f>] bad_area_nosemaphore+0x13/0x15
[   47.304169]  [<ffffffff816637b6>] __do_page_fault+0x3a6/0x4f0
[   47.322531]  [<ffffffff811de2df>] ? fsnotify_clear_marks_by_inode+0x2f/0x110
[   47.324792]  [<ffffffff813097d1>] ? vsnprintf+0x461/0x640
[   47.343156]  [<ffffffff81099c44>] ? update_curr+0xd4/0x160
[   47.344768]  [<ffffffff8166390e>] do_page_fault+0xe/0x10
[   47.362586]  [<ffffffff8165fed8>] page_fault+0x28/0x30
[   47.364543]  [<ffffffff81082ee0>] ? kthread_data+0x10/0x20
[   47.382709]  [<ffffffff8107e115>] wq_worker_sleeping+0x15/0x70
[   47.384345]  [<ffffffff8165dd62>] __schedule+0x492/0x790
[   47.402695]  [<ffffffff8165ea79>] schedule+0x29/0x70
[   47.404596]  [<ffffffff81064e7a>] do_exit+0x6ca/0xa30
[   47.422500]  [<ffffffff81660aa2>] oops_end+0xa2/0xf0
[   47.423823]  [<ffffffff81655282>] no_context+0x253/0x27e
[   47.442290]  [<ffffffff8165546d>] __bad_area_nosemaphore+0x1c0/0x1df
[   47.443977]  [<ffffffff81373d9f>] ? acpi_ds_result_pop+0xfb/0x113
[   47.462490]  [<ffffffff8165549f>] bad_area_nosemaphore+0x13/0x15
[   47.465263]  [<ffffffff816637b6>] __do_page_fault+0x3a6/0x4f0
[   47.482644]  [<ffffffff8106eb68>] ? lock_timer_base.isra.37+0x38/0x70
[   47.484915]  [<ffffffff8107d8dd>] ? flush_work+0x2d/0x150
[   47.502757]  [<ffffffff8107c691>] ? try_to_grab_pending+0xd1/0x160
[   47.504677]  [<ffffffff8107dae4>] ? __cancel_work_timer+0x74/0xb0
[   47.523364]  [<ffffffff8166390e>] do_page_fault+0xe/0x10
[   47.524980]  [<ffffffff8165fed8>] page_fault+0x28/0x30
[   47.543073]  [<ffffffff8150134a>] ? __cpufreq_governor+0x1a/0x130
[   47.544996]  [<ffffffff815013eb>] ? __cpufreq_governor+0xbb/0x130
[   47.563246]  [<ffffffff815015d3>] __cpufreq_set_policy+0x173/0x290
[   47.582055]  [<ffffffff815027b1>] cpufreq_update_policy+0xc1/0x160
[   47.584298]  [<ffffffff81502850>] ? cpufreq_update_policy+0x160/0x160
[   47.604995]  [<ffffffff8139152d>] acpi_processor_ppc_has_changed+0x62/0x6b
[   47.606942]  [<ffffffff8107acf6>] ? move_linked_works+0x66/0x90
[   47.622883]  [<ffffffff8138ddfe>] acpi_processor_notify+0x4e/0xda
[   47.624581]  [<ffffffff8136757d>] acpi_device_notify+0x19/0x1b
[   47.643436]  [<ffffffff81375c95>] acpi_ev_notify_dispatch+0x41/0x5c
[   47.645374]  [<ffffffff81363a4f>] acpi_os_execute_deferred+0x25/0x32
[   47.663511]  [<ffffffff8107b663>] process_one_work+0x173/0x3c0
[   47.682173]  [<ffffffff8107cf8f>] worker_thread+0x10f/0x390
[   47.684371]  [<ffffffff8107ce80>] ? busy_worker_rebind_fn+0xb0/0xb0
[   47.715805]  [<ffffffff81082b00>] kthread+0xc0/0xd0
[   47.717479]  [<ffffffff81010000>] ? ftrace_define_fields_xen_mc_flush+0x80/0xb0
[   47.732477]  [<ffffffff81082a40>] ? kthread_create_on_node+0x120/0x120
[   47.734476]  [<ffffffff81667eec>] ret_from_fork+0x7c/0xb0
[   47.752685]  [<ffffffff81082a40>] ? kthread_create_on_node+0x120/0x120
[   47.754723] ---[ end trace dbf67664388dce7f ]---


Expected results:
Kernel should boot and run.

Additional info:
This started with kernel 3.9.9.x
Comment 1 DHC 2013-07-25 11:26:41 EDT
*NOTE* on above Kernel-3.9.9-301.fc19 should have been Kernel-3.9.9-201.fc18 or greater.
Comment 2 DHC 2013-07-25 12:13:05 EDT
*NOTE* Blacklisting the acpu-cpufreq module is also a workaround for this.
Comment 3 DHC 2013-07-25 13:06:13 EDT
Setting:
intel_pstate=disable intel_idle.max_cstate=0 processor.max_cstate=1

Also seems to workaround the issue.
Comment 4 Justin M. Forbes 2013-10-18 17:04:16 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 5 DHC 2013-10-21 14:48:54 EDT
Recent FC19 kernels do not seem to exhibit the issue. Closing.

Note You need to log in before you can comment on or make changes to this bug.